Bug 857305 - Grub2 truncates device paths longer than 64 bytes
Grub2 truncates device paths longer than 64 bytes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
18
ppc64 All
unspecified Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F18Betappc 878100
  Show dependency treegraph
 
Reported: 2012-09-14 00:51 EDT by IBM Bug Proxy
Modified: 2012-12-07 05:09 EST (History)
8 users (show)

See Also:
Fixed In Version: grub-2.00-8.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 878100 (view as bug list)
Environment:
Last Closed: 2012-10-30 16:28:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Increase the buffer size to support device path bigger than 64 characters. (397 bytes, text/plain)
2012-09-14 00:51 EDT, IBM Bug Proxy
no flags Details
Resubmitting patch using pjones's guideline (946 bytes, text/plain)
2012-09-19 13:53 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 85141 None None None 2012-09-14 00:51:02 EDT

  None (edit)
Description IBM Bug Proxy 2012-09-14 00:51:01 EDT
== Comment: #0 - Gustavo Luiz Duarte <gusld@br.ibm.com> - 2012-09-13 15:12:56 ==
Grub2 has a limit of 64 bytes for the device path. Some types of devices have path longer than 64 bytes. 

For example, we have a device with the following path:
/io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/pci1014,0339@0/sas/disk@0

In the grub2's rescue console, an 'ls' shows the complete device path, but 'ls -l' throws an error showing a truncated device path.

grub rescue> ls
(ieee1275//io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/pci1014\,0339@0/sas/disk) (ieee1275//io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/pci1014\,0339@0/sas/disk,msdos3) (ieee1275//io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/pci1014\,0339@0/sas/disk,msdos2) (ieee1275//io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/pci1014\,0339@0/sas/disk,msdos1) (ieee1275//io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/pci1014\,0339@0/sata/disk) (ieee1275//packages/gscsi/disk) 
grub rescue> ls -l                          
error: disk `ieee1275//io-hub@3efe00000000/pciex@3efe00080000/pci@0/pci@0/pci@6/
pci101,msdos2' not found.
grub rescue>

== Comment: #1 - Paulo Flabiano Smorigo <pfsmorigo@br.ibm.com> - 2012-09-13 15:18:50 ==
Comment 1 IBM Bug Proxy 2012-09-14 00:51:18 EDT
Created attachment 612721 [details]
Increase the buffer size to support device path bigger than 64 characters.
Comment 2 IBM Bug Proxy 2012-09-19 13:53:31 EDT
Created attachment 614508 [details]
Resubmitting patch using pjones's guideline


------- Comment (attachment only) From pfsmorigo@br.ibm.com 2012-09-19 17:35 EDT-------
Comment 3 Fedora Update System 2012-11-27 15:34:28 EST
grub2-2.0-0.39.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/grub2-2.0-0.39.fc17
Comment 4 Fedora Update System 2012-12-06 02:00:29 EST
grub2-2.0-0.39.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Teddy Js 2012-12-07 00:22:27 EST
Are grub2-2.0-0.39.fc17 build for ppc64 ? 
I only found grub2-2.0-0.38.beta6.fc17.ppc64.rpm on repository at date 31 augst 2012 today.
Comment 6 Mads Kiilerich 2012-12-07 05:09:26 EST
(In reply to comment #5)
> Are grub2-2.0-0.39.fc17 build for ppc64 ? 

The f18 grub2 packages can in general be used on f17.

Note You need to log in before you can comment on or make changes to this bug.